"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.requestHandler = exports.initRequestHandler = void 0;
const forwardWebsocketRequest_1 = require("../../common/relay/forwardWebsocketRequest");
let initializedReqHandler;
const initRequestHandler = (websocket, clientOps) => {
    initializedReqHandler = (0, forwardWebsocketRequest_1.forwardWebSocketRequest)(clientOps, websocket);
};
exports.initRequestHandler = initRequestHandler;
const requestHandler = (webSocketIdentifier) => {
    return initializedReqHandler(webSocketIdentifier);
};
exports.requestHandler = requestHandler;
//# sourceMappingURL=requestHandler.js.map