"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateHeaders = void 0;
const validateHeaders = (headerFilters, requestHeaders = []) => {
    for (const filter of headerFilters) {
        const headerValue = requestHeaders[filter.header];
        if (!headerValue) {
            return false;
        }
        if (!filter.values.includes(headerValue)) {
            return false;
        }
    }
    return true;
};
exports.validateHeaders = validateHeaders;
//# sourceMappingURL=utils.js.map